using System;
using PSO2SERVER.Models;
using PSO2SERVER.Protocol.Packets;

namespace PSO2SERVER.Protocol.Handlers
{
    [PacketHandlerAttr(0x11, 0x97)]
    public class CharacterRenameRequestPacket : PacketHandler
    {
        public uint CharacterID { get; set; }
        public override void HandlePacket(Client context, byte flags, byte[] data, uint position, uint size)
        {
            var info = string.Format("[<--] 接收到的数据 (hex): {0} 字节", data.Length);
            Logger.WriteHex(info, data);

            if (context._account == null)
                return;

            var reader = new PacketReader(data);
            var CharacterID = reader.ReadUInt32();

            context.SendPacket(new CharacterRenamePacket());
        }
    }
}
